{
	"name": "table/external/moloni/company/company-customer.json",
	"table_name": "company",
	"table_prefix": "co",
	"record_type": ["customer"],
	"local_table": "company",
	"local_record_type": "customer",
	"field": [
		{
			"field_name": "customer_id",
			"local_field": "json_data.transfer_id",
			"field_type": "number"
		},
		{
			"field_name": "vat",
			"local_field": "json_data.vat",
			"field_type": "varchar",
			"default_value": "999999990"
		},
		{
			"field_name": "salesman_id",
			"local_field": "json_data.salesman_id",
			"field_type": "integer",
			"default_value": 0
		},
		{
			"field_name": "price_class_id",
			"local_field": "json_data.price_class_id",
			"field_type": "integer",
			"default_value": 0
		},
		{
			"info": "language_id 2 is english",
			"field_name": "language_id",
			"local_field": "json_data.language_id",
			"field_type": "integer",
			"default_value": 2
		},
		{
			"info": "we should query json_data.country_id from preference id, now is static 1",
			"field_name": "country_id",
			"local_field": "json_data.country_id",
			"field_type": "integer",
			"default_value": 1
		},
		{
			"field_name": "maturity_date_id",
			"local_field": "json_data.maturity_date_id",
			"field_type": "integer",
			"default_value": 1262141
		},
		{
			"field_name": "payment_method_id",
			"local_field": "json_data.payment_method_id",
			"field_type": "integer",
			"default_value": 1412311
		},
		{
			"field_name": "delivery_method_id",
			"local_field": "json_data.delivery_method_id",
			"field_type": "integer",
			"default_value": 1446286
		},
		{
			"field_name": "number",
			"local_field": "company_id",
			"field_type": "varchar"
		},
		{
			"field_name": "name",
			"local_field": "name",
			"field_type": "varchar"
		},
		{
			"field_name": "address",
			"local_field": "address",
			"field_type": "varchar"
		},
		{
			"field_name": "zip_code",
			"local_field": "post_code",
			"field_type": "varchar"
		},
		{
			"field_name": "city",
			"local_field": "post_office",
			"field_type": "varchar"
		},
		{
			"field_name": "email",
			"local_field": "email",
			"field_type": "varchar"
		},
		{
			"field_name": "website",
			"local_field": "www",
			"field_type": "varchar"
		},
		{
			"field_name": "phone",
			"local_field": "phone",
			"field_type": "varchar"
		},
		{
			"field_name": "fax",
			"local_field": "json_data.fax_number",
			"field_type": "varchar"
		},
		{
			"field_name": "contact_name",
			"local_field": "json_data.default_sales_person_id",
			"field_type": "varchar"
		},
		{
			"field_name": "notes",
			"local_field": "info",
			"field_type": "text"
		},
		{
			"field_name": "date_modified",
			"local_field": "modify_time",
			"field_type": "date"
		},
		{
			"field_name": "date_created",
			"local_field": "create_time",
			"field_type": "date"
		},
		{
			"info": "created from example data",
			"field_name": "credit_limit",
			"local_field": "json_data.credit_limit",
			"field_type": "integer",
			"default_value": 0
		},
		{
			"info": "created from example data",
			"field_name": "payment_day",
			"local_field": "top.net_days",
			"field_type": "integer",
			"default_value": 0
		},
		{
			"info": "created from example data",
			"field_name": "discount",
			"local_field": "json_data.discount",
			"field_type": "integer",
			"default_value": 0
		}
	],
	"field_not_in_use": []
}
